Index: cbv2/src/mainboard/ibm/e325/Config.lb
===================================================================
--- cbv2.orig/src/mainboard/ibm/e325/Config.lb
+++ cbv2/src/mainboard/ibm/e325/Config.lb
@@ -13,8 +13,8 @@ arch i386 end
 ##
 
 driver mainboard.o
-if CONFIG_HAVE_MP_TABLE object mptable.o end
-if CONFIG_HAVE_PIRQ_TABLE object irq_tables.o end
+if CONFIG_GENERATE_MP_TABLE object mptable.o end
+if CONFIG_GENERATE_PIRQ_TABLE object irq_tables.o end
 #object reset.o
 
 if CONFIG_USE_INIT
Index: cbv2/src/mainboard/ibm/e325/Makefile.inc
===================================================================
--- cbv2.orig/src/mainboard/ibm/e325/Makefile.inc
+++ cbv2/src/mainboard/ibm/e325/Makefile.inc
@@ -22,8 +22,8 @@
 driver-y += mainboard.o
 
 # Needed by irq_tables and mptable and acpi_tables.
-obj-$(CONFIG_HAVE_MP_TABLE) += mptable.o
-obj-$(CONFIG_HAVE_PIRQ_TABLE) += irq_tables.o
+obj-$(CONFIG_GENERATE_MP_TABLE) += mptable.o
+obj-$(CONFIG_GENERATE_PIRQ_TABLE) += irq_tables.o
 
 # This is part of the conversion to init-obj and away from included code.
 
Index: cbv2/src/mainboard/ibm/e325/Options.lb
===================================================================
--- cbv2.orig/src/mainboard/ibm/e325/Options.lb
+++ cbv2/src/mainboard/ibm/e325/Options.lb
@@ -1,5 +1,5 @@
-uses CONFIG_HAVE_MP_TABLE
-uses CONFIG_HAVE_PIRQ_TABLE
+uses CONFIG_GENERATE_MP_TABLE
+uses CONFIG_GENERATE_PIRQ_TABLE
 uses CONFIG_USE_FALLBACK_IMAGE
 uses CONFIG_HAVE_FALLBACK_BOOT
 uses CONFIG_HAVE_HARD_RESET
@@ -77,14 +77,14 @@ default CONFIG_HAVE_HARD_RESET=1
 ##
 ## Build code to export a programmable irq routing table
 ##
-default CONFIG_HAVE_PIRQ_TABLE=1
+default CONFIG_GENERATE_PIRQ_TABLE=1
 default CONFIG_IRQ_SLOT_COUNT=12
 
 ##
 ## Build code to export an x86 MP table
 ## Useful for specifying IRQ routing values
 ##
-default CONFIG_HAVE_MP_TABLE=1
+default CONFIG_GENERATE_MP_TABLE=1
 
 ##
 ## Build code to export a CMOS option table
Index: cbv2/src/mainboard/ibm/e326/Config.lb
===================================================================
--- cbv2.orig/src/mainboard/ibm/e326/Config.lb
+++ cbv2/src/mainboard/ibm/e326/Config.lb
@@ -13,8 +13,8 @@ arch i386 end
 ##
 
 driver mainboard.o
-if CONFIG_HAVE_MP_TABLE object mptable.o end
-if CONFIG_HAVE_PIRQ_TABLE object irq_tables.o end
+if CONFIG_GENERATE_MP_TABLE object mptable.o end
+if CONFIG_GENERATE_PIRQ_TABLE object irq_tables.o end
 #object reset.o
 
 if CONFIG_USE_INIT
Index: cbv2/src/mainboard/ibm/e326/Makefile.inc
===================================================================
--- cbv2.orig/src/mainboard/ibm/e326/Makefile.inc
+++ cbv2/src/mainboard/ibm/e326/Makefile.inc
@@ -22,8 +22,8 @@
 driver-y += mainboard.o
 
 # Needed by irq_tables and mptable and acpi_tables.
-obj-$(CONFIG_HAVE_MP_TABLE) += mptable.o
-obj-$(CONFIG_HAVE_PIRQ_TABLE) += irq_tables.o
+obj-$(CONFIG_GENERATE_MP_TABLE) += mptable.o
+obj-$(CONFIG_GENERATE_PIRQ_TABLE) += irq_tables.o
 
 # This is part of the conversion to init-obj and away from included code.
 
Index: cbv2/src/mainboard/ibm/e326/Options.lb
===================================================================
--- cbv2.orig/src/mainboard/ibm/e326/Options.lb
+++ cbv2/src/mainboard/ibm/e326/Options.lb
@@ -1,5 +1,5 @@
-uses CONFIG_HAVE_MP_TABLE
-uses CONFIG_HAVE_PIRQ_TABLE
+uses CONFIG_GENERATE_MP_TABLE
+uses CONFIG_GENERATE_PIRQ_TABLE
 uses CONFIG_USE_FALLBACK_IMAGE
 uses CONFIG_HAVE_FALLBACK_BOOT
 uses CONFIG_HAVE_HARD_RESET
@@ -79,14 +79,14 @@ default CONFIG_HAVE_HARD_RESET=1
 ##
 ## Build code to export a programmable irq routing table
 ##
-default CONFIG_HAVE_PIRQ_TABLE=1
+default CONFIG_GENERATE_PIRQ_TABLE=1
 default CONFIG_IRQ_SLOT_COUNT=12
 
 ##
 ## Build code to export an x86 MP table
 ## Useful for specifying IRQ routing values
 ##
-default CONFIG_HAVE_MP_TABLE=1
+default CONFIG_GENERATE_MP_TABLE=1
 
 ##
 ## Build code to export a CMOS option table
Index: cbv2/src/mainboard/iei/juki-511p/Config.lb
===================================================================
--- cbv2.orig/src/mainboard/iei/juki-511p/Config.lb
+++ cbv2/src/mainboard/iei/juki-511p/Config.lb
@@ -31,7 +31,7 @@ arch i386 end
 
 driver mainboard.o
 
-if CONFIG_HAVE_PIRQ_TABLE object irq_tables.o end
+if CONFIG_GENERATE_PIRQ_TABLE object irq_tables.o end
 #object reset.o
 
 ##
Index: cbv2/src/mainboard/iei/juki-511p/Options.lb
===================================================================
--- cbv2.orig/src/mainboard/iei/juki-511p/Options.lb
+++ cbv2/src/mainboard/iei/juki-511p/Options.lb
@@ -1,5 +1,5 @@
-uses CONFIG_HAVE_MP_TABLE
-uses CONFIG_HAVE_PIRQ_TABLE
+uses CONFIG_GENERATE_MP_TABLE
+uses CONFIG_GENERATE_PIRQ_TABLE
 uses CONFIG_USE_FALLBACK_IMAGE
 uses CONFIG_HAVE_FALLBACK_BOOT
 uses CONFIG_HAVE_HARD_RESET
@@ -29,7 +29,7 @@ uses CONFIG_ROMBASE
 uses CONFIG_RAMBASE
 uses CONFIG_XIP_ROM_SIZE
 uses CONFIG_XIP_ROM_BASE
-uses CONFIG_HAVE_MP_TABLE
+uses CONFIG_GENERATE_MP_TABLE
 uses CONFIG_CROSS_COMPILE
 uses CC
 uses HOSTCC
@@ -58,7 +58,7 @@ default CONFIG_HAVE_FALLBACK_BOOT=1
 ##
 ## no MP table
 ##
-default CONFIG_HAVE_MP_TABLE=0
+default CONFIG_GENERATE_MP_TABLE=0
 
 ##
 ## Build code to reset the motherboard from coreboot
@@ -69,8 +69,8 @@ default CONFIG_UDELAY_IO=1
 ##
 ## Build code to export a programmable irq routing table
 ##
-# FIXME: There's an irq_tables.c file, but CONFIG_HAVE_PIRQ_TABLE is 0.
-default CONFIG_HAVE_PIRQ_TABLE=0
+# FIXME: There's an irq_tables.c file, but CONFIG_GENERATE_PIRQ_TABLE is 0.
+default CONFIG_GENERATE_PIRQ_TABLE=0
 default CONFIG_IRQ_SLOT_COUNT=2
 default CONFIG_PIRQ_ROUTE=1
 
Index: cbv2/src/mainboard/iei/nova4899r/Config.lb
===================================================================
--- cbv2.orig/src/mainboard/iei/nova4899r/Config.lb
+++ cbv2/src/mainboard/iei/nova4899r/Config.lb
@@ -15,7 +15,7 @@ arch i386 end
 
 driver mainboard.o
 
-if CONFIG_HAVE_PIRQ_TABLE object irq_tables.o end
+if CONFIG_GENERATE_PIRQ_TABLE object irq_tables.o end
 #object reset.o
 
 ##
Index: cbv2/src/mainboard/iei/nova4899r/Options.lb
===================================================================
--- cbv2.orig/src/mainboard/iei/nova4899r/Options.lb
+++ cbv2/src/mainboard/iei/nova4899r/Options.lb
@@ -1,5 +1,5 @@
-uses CONFIG_HAVE_MP_TABLE
-uses CONFIG_HAVE_PIRQ_TABLE
+uses CONFIG_GENERATE_MP_TABLE
+uses CONFIG_GENERATE_PIRQ_TABLE
 uses CONFIG_USE_FALLBACK_IMAGE
 uses CONFIG_HAVE_FALLBACK_BOOT
 uses CONFIG_HAVE_HARD_RESET
@@ -24,7 +24,7 @@ uses CONFIG_ROMBASE
 uses CONFIG_RAMBASE
 uses CONFIG_XIP_ROM_SIZE
 uses CONFIG_XIP_ROM_BASE
-uses CONFIG_HAVE_MP_TABLE
+uses CONFIG_GENERATE_MP_TABLE
 uses CONFIG_CROSS_COMPILE
 uses CC
 uses HOSTCC
@@ -64,7 +64,7 @@ default CONFIG_HAVE_FALLBACK_BOOT=0
 ##
 ## no MP table
 ##
-default CONFIG_HAVE_MP_TABLE=0
+default CONFIG_GENERATE_MP_TABLE=0
 
 ##
 ## Build code to reset the motherboard from coreboot
@@ -79,7 +79,7 @@ default CONFIG_TSC_X86RDTSC_CALIBRATE_WI
 ##
 ## Build code to export a programmable irq routing table
 ##
-default CONFIG_HAVE_PIRQ_TABLE=1
+default CONFIG_GENERATE_PIRQ_TABLE=1
 default CONFIG_IRQ_SLOT_COUNT=5
 default CONFIG_PIRQ_ROUTE=1
 #object irq_tables.o
Index: cbv2/src/mainboard/iei/pcisa-lx-800-r10/Config.lb
===================================================================
--- cbv2.orig/src/mainboard/iei/pcisa-lx-800-r10/Config.lb
+++ cbv2/src/mainboard/iei/pcisa-lx-800-r10/Config.lb
@@ -24,7 +24,7 @@ include /config/nofailovercalculation.lb
 
 arch i386 end
 driver mainboard.o
-if CONFIG_HAVE_PIRQ_TABLE
+if CONFIG_GENERATE_PIRQ_TABLE
 	object irq_tables.o
 end
 	# Compile cache_as_ram.c to auto.inc.
Index: cbv2/src/mainboard/iei/pcisa-lx-800-r10/Makefile.inc
===================================================================
--- cbv2.orig/src/mainboard/iei/pcisa-lx-800-r10/Makefile.inc
+++ cbv2/src/mainboard/iei/pcisa-lx-800-r10/Makefile.inc
@@ -1,7 +1,7 @@
 driver-y += mainboard.o
 
 # Needed by irq_tables and mptable and acpi_tables.
-obj-$(CONFIG_HAVE_PIRQ_TABLE) += irq_tables.o
+obj-$(CONFIG_GENERATE_PIRQ_TABLE) += irq_tables.o
 
 # This is part of the conversion to init-obj and away from included code.
 
Index: cbv2/src/mainboard/iei/pcisa-lx-800-r10/Options.lb
===================================================================
--- cbv2.orig/src/mainboard/iei/pcisa-lx-800-r10/Options.lb
+++ cbv2/src/mainboard/iei/pcisa-lx-800-r10/Options.lb
@@ -18,8 +18,8 @@
 ## Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
 ##
 
-uses CONFIG_HAVE_MP_TABLE
-uses CONFIG_HAVE_PIRQ_TABLE
+uses CONFIG_GENERATE_MP_TABLE
+uses CONFIG_GENERATE_PIRQ_TABLE
 uses CONFIG_USE_FALLBACK_IMAGE
 uses CONFIG_HAVE_FALLBACK_BOOT
 uses CONFIG_HAVE_HARD_RESET
@@ -48,7 +48,7 @@ uses CONFIG_ROMBASE
 uses CONFIG_RAMBASE
 uses CONFIG_XIP_ROM_SIZE
 uses CONFIG_XIP_ROM_BASE
-uses CONFIG_HAVE_MP_TABLE
+uses CONFIG_GENERATE_MP_TABLE
 uses CONFIG_CROSS_COMPILE
 uses CC
 uses HOSTCC
@@ -74,10 +74,10 @@ default CONFIG_CONSOLE_VGA = 0
 default CONFIG_VIDEO_MB = 8
 default CONFIG_PCI_ROM_RUN = 0
 default CONFIG_HAVE_FALLBACK_BOOT = 1
-default CONFIG_HAVE_MP_TABLE = 0
+default CONFIG_GENERATE_MP_TABLE = 0
 default CONFIG_HAVE_HARD_RESET = 0
 default CONFIG_UDELAY_IO = 1
-default CONFIG_HAVE_PIRQ_TABLE = 1
+default CONFIG_GENERATE_PIRQ_TABLE = 1
 default CONFIG_IRQ_SLOT_COUNT = 9
 default CONFIG_PIRQ_ROUTE = 1
 default CONFIG_HAVE_OPTION_TABLE = 0
Index: cbv2/src/mainboard/intel/eagleheights/Config.lb
===================================================================
--- cbv2.orig/src/mainboard/intel/eagleheights/Config.lb
+++ cbv2/src/mainboard/intel/eagleheights/Config.lb
@@ -43,10 +43,10 @@ arch i386 end
 ##
 
 driver mainboard.o
-if CONFIG_HAVE_MP_TABLE object mptable.o end
-if CONFIG_HAVE_PIRQ_TABLE object irq_tables.o end
+if CONFIG_GENERATE_MP_TABLE object mptable.o end
+if CONFIG_GENERATE_PIRQ_TABLE object irq_tables.o end
 
-if CONFIG_HAVE_ACPI_TABLES
+if CONFIG_GENERATE_ACPI_TABLES
 	object fadt.o
 	object acpi_tables.o
 	makerule dsdt.c
Index: cbv2/src/mainboard/intel/eagleheights/Makefile.inc
===================================================================
--- cbv2.orig/src/mainboard/intel/eagleheights/Makefile.inc
+++ cbv2/src/mainboard/intel/eagleheights/Makefile.inc
@@ -1,9 +1,9 @@
 driver-y += mainboard.o
-obj-$(CONFIG_HAVE_MP_TABLE) += mptable.o
-obj-$(CONFIG_HAVE_PIRQ_TABLE) += irq_tables.o
-obj-$(CONFIG_HAVE_ACPI_TABLES) += fadt.o
-obj-$(CONFIG_HAVE_ACPI_TABLES) += acpi_tables.o
-obj-$(CONFIG_HAVE_ACPI_TABLES) += dsdt.o
+obj-$(CONFIG_GENERATE_MP_TABLE) += mptable.o
+obj-$(CONFIG_GENERATE_PIRQ_TABLE) += irq_tables.o
+obj-$(CONFIG_GENERATE_ACPI_TABLES) += fadt.o
+obj-$(CONFIG_GENERATE_ACPI_TABLES) += acpi_tables.o
+obj-$(CONFIG_GENERATE_ACPI_TABLES) += dsdt.o
 obj-y += reset.o
 
 # This is part of the conversion to init-obj and away from included code.
Index: cbv2/src/mainboard/intel/eagleheights/Options.lb
===================================================================
--- cbv2.orig/src/mainboard/intel/eagleheights/Options.lb
+++ cbv2/src/mainboard/intel/eagleheights/Options.lb
@@ -20,15 +20,15 @@
 ##
 
 # Tables
-uses CONFIG_HAVE_MP_TABLE
-uses CONFIG_HAVE_PIRQ_TABLE
+uses CONFIG_GENERATE_MP_TABLE
+uses CONFIG_GENERATE_PIRQ_TABLE
 uses CONFIG_IRQ_SLOT_COUNT
 uses CONFIG_HAVE_OPTION_TABLE
 uses CONFIG_USE_OPTION_TABLE
 uses CONFIG_LB_CKS_RANGE_START
 uses CONFIG_LB_CKS_RANGE_END
 uses CONFIG_LB_CKS_LOC
-uses CONFIG_HAVE_ACPI_TABLES
+uses CONFIG_GENERATE_ACPI_TABLES
 uses CONFIG_HAVE_MAINBOARD_RESOURCES
 # SMP
 uses CONFIG_SMP
@@ -153,19 +153,19 @@ default CONFIG_MMCONF_BASE_ADDRESS=0xE00
 ##
 ## Build code to export a programmable irq routing table
 ##
-default CONFIG_HAVE_PIRQ_TABLE=1
+default CONFIG_GENERATE_PIRQ_TABLE=1
 default CONFIG_IRQ_SLOT_COUNT=9
 
 ##
 ## Build code to export an x86 MP table
 ## Useful for specifying IRQ routing values
 ##
-default CONFIG_HAVE_MP_TABLE=1
+default CONFIG_GENERATE_MP_TABLE=1
 
 ##
 ## Build code to provide ACPI support
 ##
-default CONFIG_HAVE_ACPI_TABLES=1
+default CONFIG_GENERATE_ACPI_TABLES=1
 default CONFIG_HAVE_MAINBOARD_RESOURCES=1
 
 ##
Index: cbv2/src/mainboard/intel/jarrell/Config.lb
===================================================================
--- cbv2.orig/src/mainboard/intel/jarrell/Config.lb
+++ cbv2/src/mainboard/intel/jarrell/Config.lb
@@ -18,8 +18,8 @@ arch i386 end
 ##
 
 driver mainboard.o
-if CONFIG_HAVE_MP_TABLE object mptable.o end
-if CONFIG_HAVE_PIRQ_TABLE object irq_tables.o end
+if CONFIG_GENERATE_MP_TABLE object mptable.o end
+if CONFIG_GENERATE_PIRQ_TABLE object irq_tables.o end
 object reset.o
 
 ##
Index: cbv2/src/mainboard/intel/jarrell/Options.lb
===================================================================
--- cbv2.orig/src/mainboard/intel/jarrell/Options.lb
+++ cbv2/src/mainboard/intel/jarrell/Options.lb
@@ -1,5 +1,5 @@
-uses CONFIG_HAVE_MP_TABLE
-uses CONFIG_HAVE_PIRQ_TABLE
+uses CONFIG_GENERATE_MP_TABLE
+uses CONFIG_GENERATE_PIRQ_TABLE
 uses CONFIG_USE_FALLBACK_IMAGE
 uses CONFIG_HAVE_FALLBACK_BOOT
 uses CONFIG_HAVE_HARD_RESET
@@ -93,14 +93,14 @@ default CONFIG_HAVE_HARD_RESET=1
 ##
 ## Build code to export a programmable irq routing table
 ##
-default CONFIG_HAVE_PIRQ_TABLE=1
+default CONFIG_GENERATE_PIRQ_TABLE=1
 default CONFIG_IRQ_SLOT_COUNT=18
 
 ##
 ## Build code to export an x86 MP table
 ## Useful for specifying IRQ routing values
 ##
-default CONFIG_HAVE_MP_TABLE=1
+default CONFIG_GENERATE_MP_TABLE=1
 
 ##
 ## Build code to export a CMOS option table
Index: cbv2/src/mainboard/intel/mtarvon/Config.lb
===================================================================
--- cbv2.orig/src/mainboard/intel/mtarvon/Config.lb
+++ cbv2/src/mainboard/intel/mtarvon/Config.lb
@@ -32,8 +32,8 @@ arch i386 end
 ##
 
 driver mainboard.o
-if CONFIG_HAVE_MP_TABLE object mptable.o end
-if CONFIG_HAVE_PIRQ_TABLE object irq_tables.o end
+if CONFIG_GENERATE_MP_TABLE object mptable.o end
+if CONFIG_GENERATE_PIRQ_TABLE object irq_tables.o end
 
 ##
 ## Romcc output
Index: cbv2/src/mainboard/intel/mtarvon/Options.lb
===================================================================
--- cbv2.orig/src/mainboard/intel/mtarvon/Options.lb
+++ cbv2/src/mainboard/intel/mtarvon/Options.lb
@@ -17,8 +17,8 @@
 ## Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
 ##
 
-uses CONFIG_HAVE_MP_TABLE
-uses CONFIG_HAVE_PIRQ_TABLE
+uses CONFIG_GENERATE_MP_TABLE
+uses CONFIG_GENERATE_PIRQ_TABLE
 uses CONFIG_USE_FALLBACK_IMAGE
 uses CONFIG_HAVE_FALLBACK_BOOT
 uses CONFIG_HAVE_HARD_RESET
@@ -95,14 +95,14 @@ default CONFIG_HAVE_HARD_RESET=1
 ##
 ## Build code to export a programmable irq routing table
 ##
-default CONFIG_HAVE_PIRQ_TABLE=1
+default CONFIG_GENERATE_PIRQ_TABLE=1
 default CONFIG_IRQ_SLOT_COUNT=1
 
 ##
 ## Build code to export an x86 MP table
 ## Useful for specifying IRQ routing values
 ##
-default CONFIG_HAVE_MP_TABLE=1
+default CONFIG_GENERATE_MP_TABLE=1
 
 ##
 ## Build code for SMP support
Index: cbv2/src/mainboard/intel/truxton/Config.lb
===================================================================
--- cbv2.orig/src/mainboard/intel/truxton/Config.lb
+++ cbv2/src/mainboard/intel/truxton/Config.lb
@@ -32,8 +32,8 @@ arch i386 end
 ##
 
 driver mainboard.o
-if CONFIG_HAVE_MP_TABLE object mptable.o end
-if CONFIG_HAVE_PIRQ_TABLE object irq_tables.o end
+if CONFIG_GENERATE_MP_TABLE object mptable.o end
+if CONFIG_GENERATE_PIRQ_TABLE object irq_tables.o end
 
 ##
 ## Romcc output
Index: cbv2/src/mainboard/intel/truxton/Options.lb
===================================================================
--- cbv2.orig/src/mainboard/intel/truxton/Options.lb
+++ cbv2/src/mainboard/intel/truxton/Options.lb
@@ -17,8 +17,8 @@
 ## Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
 ##
 
-uses CONFIG_HAVE_MP_TABLE
-uses CONFIG_HAVE_PIRQ_TABLE
+uses CONFIG_GENERATE_MP_TABLE
+uses CONFIG_GENERATE_PIRQ_TABLE
 uses CONFIG_USE_FALLBACK_IMAGE
 uses CONFIG_HAVE_FALLBACK_BOOT
 uses CONFIG_HAVE_HARD_RESET
@@ -97,14 +97,14 @@ default CONFIG_HAVE_HARD_RESET=1
 ##
 ## Build code to export a programmable irq routing table
 ##
-default CONFIG_HAVE_PIRQ_TABLE=1
+default CONFIG_GENERATE_PIRQ_TABLE=1
 default CONFIG_IRQ_SLOT_COUNT=1
 
 ##
 ## Build code to export an x86 MP table
 ## Useful for specifying IRQ routing values
 ##
-default CONFIG_HAVE_MP_TABLE=1
+default CONFIG_GENERATE_MP_TABLE=1
 
 ##
 ## Build code for SMP support
Index: cbv2/src/mainboard/intel/xe7501devkit/Config.lb
===================================================================
--- cbv2.orig/src/mainboard/intel/xe7501devkit/Config.lb
+++ cbv2/src/mainboard/intel/xe7501devkit/Config.lb
@@ -9,9 +9,9 @@ arch i386 end 
 ##
 
 driver mainboard.o
-if CONFIG_HAVE_MP_TABLE 		object mptable.o 	 end
-if CONFIG_HAVE_PIRQ_TABLE 		object irq_tables.o	 end
-if CONFIG_HAVE_ACPI_TABLES 	object acpi_tables.o end
+if CONFIG_GENERATE_MP_TABLE 		object mptable.o 	 end
+if CONFIG_GENERATE_PIRQ_TABLE 		object irq_tables.o	 end
+if CONFIG_GENERATE_ACPI_TABLES 	object acpi_tables.o end
 object reset.o
 
 ##
Index: cbv2/src/mainboard/intel/xe7501devkit/Makefile.inc
===================================================================
--- cbv2.orig/src/mainboard/intel/xe7501devkit/Makefile.inc
+++ cbv2/src/mainboard/intel/xe7501devkit/Makefile.inc
@@ -1,4 +1,4 @@
 ROMCCFLAGS := -mcpu=p4 -O2
-obj-$(CONFIG_HAVE_ACPI_TABLES) += acpi_tables.o
+obj-$(CONFIG_GENERATE_ACPI_TABLES) += acpi_tables.o
 include $(src)/mainboard/Makefile.romccboard.inc
 
Index: cbv2/src/mainboard/intel/xe7501devkit/Options.lb
===================================================================
--- cbv2.orig/src/mainboard/intel/xe7501devkit/Options.lb
+++ cbv2/src/mainboard/intel/xe7501devkit/Options.lb
@@ -1,7 +1,7 @@
-uses CONFIG_HAVE_MP_TABLE
-uses CONFIG_HAVE_ACPI_TABLES
+uses CONFIG_GENERATE_MP_TABLE
+uses CONFIG_GENERATE_ACPI_TABLES
 uses CONFIG_HAVE_ACPI_RESUME
-uses CONFIG_HAVE_PIRQ_TABLE
+uses CONFIG_GENERATE_PIRQ_TABLE
 uses CONFIG_HAVE_FALLBACK_BOOT
 uses CONFIG_HAVE_OPTION_TABLE
 uses CONFIG_IRQ_SLOT_COUNT
@@ -85,17 +85,17 @@ default CONFIG_TSC_X86RDTSC_CALIBRATE_WI
 ##
 ## Build code to export a programmable irq routing table
 ##
-default CONFIG_HAVE_PIRQ_TABLE=1
+default CONFIG_GENERATE_PIRQ_TABLE=1
 default CONFIG_IRQ_SLOT_COUNT=12
 
 ##
 ## Build code to export an x86 MP table
 ## Useful for specifying IRQ routing values
 ##
-default CONFIG_HAVE_MP_TABLE=1
+default CONFIG_GENERATE_MP_TABLE=1
 
 ## Build code to export ACPI tables?
-default CONFIG_HAVE_ACPI_TABLES=1
+default CONFIG_GENERATE_ACPI_TABLES=1
 
 ##
 ## Build code to export a CMOS option table?
Index: cbv2/src/mainboard/iwill/dk8_htx/Config.lb
===================================================================
--- cbv2.orig/src/mainboard/iwill/dk8_htx/Config.lb
+++ cbv2/src/mainboard/iwill/dk8_htx/Config.lb
@@ -15,15 +15,15 @@ driver mainboard.o
 #needed by irq_tables and mptable and acpi_tables
 object get_bus_conf.o
 
-if CONFIG_HAVE_MP_TABLE 
+if CONFIG_GENERATE_MP_TABLE 
 	object mptable.o 
 end
 
-if CONFIG_HAVE_PIRQ_TABLE 
+if CONFIG_GENERATE_PIRQ_TABLE 
 	object irq_tables.o 
 end
 
-#if CONFIG_HAVE_ACPI_TABLES
+#if CONFIG_GENERATE_ACPI_TABLES
 #       object acpi_tables.o
 #       object fadt.o
 #       if CONFIG_SB_HT_CHAIN_ON_BUS0
@@ -41,7 +41,7 @@ end
 #       end
 #end
 
-if CONFIG_HAVE_ACPI_TABLES
+if CONFIG_GENERATE_ACPI_TABLES
         object acpi_tables.o
         object fadt.o
 	makerule dsdt.c
Index: cbv2/src/mainboard/iwill/dk8_htx/Makefile.inc
===================================================================
--- cbv2.orig/src/mainboard/iwill/dk8_htx/Makefile.inc
+++ cbv2/src/mainboard/iwill/dk8_htx/Makefile.inc
@@ -23,11 +23,11 @@ driver-y += mainboard.o
 
 # Needed by irq_tables and mptable and acpi_tables.
 obj-y += get_bus_conf.o
-obj-$(CONFIG_HAVE_MP_TABLE) += mptable.o
-obj-$(CONFIG_HAVE_PIRQ_TABLE) += irq_tables.o
-obj-$(CONFIG_HAVE_ACPI_TABLES) += dsdt.o
-obj-$(CONFIG_HAVE_ACPI_TABLES) += acpi_tables.o
-obj-$(CONFIG_HAVE_ACPI_TABLES) += fadt.o
+obj-$(CONFIG_GENERATE_MP_TABLE) += mptable.o
+obj-$(CONFIG_GENERATE_PIRQ_TABLE) += irq_tables.o
+obj-$(CONFIG_GENERATE_ACPI_TABLES) += dsdt.o
+obj-$(CONFIG_GENERATE_ACPI_TABLES) += acpi_tables.o
+obj-$(CONFIG_GENERATE_ACPI_TABLES) += fadt.o
 
 # ./ssdt.o is in northbridge/amd/amdk8/Config.lb
 obj-$(CONFIG_ACPI_SSDTX_NUM) += ssdt2.o
Index: cbv2/src/mainboard/iwill/dk8_htx/Options.lb
===================================================================
--- cbv2.orig/src/mainboard/iwill/dk8_htx/Options.lb
+++ cbv2/src/mainboard/iwill/dk8_htx/Options.lb
@@ -1,6 +1,6 @@
-uses CONFIG_HAVE_MP_TABLE
-uses CONFIG_HAVE_PIRQ_TABLE
-uses CONFIG_HAVE_ACPI_TABLES
+uses CONFIG_GENERATE_MP_TABLE
+uses CONFIG_GENERATE_PIRQ_TABLE
+uses CONFIG_GENERATE_ACPI_TABLES
 uses CONFIG_HAVE_ACPI_RESUME
 uses CONFIG_ACPI_SSDTX_NUM
 uses CONFIG_USE_FALLBACK_IMAGE
@@ -125,17 +125,17 @@ default CONFIG_HAVE_HARD_RESET=1
 ##
 ## Build code to export a programmable irq routing table
 ##
-default CONFIG_HAVE_PIRQ_TABLE=1
+default CONFIG_GENERATE_PIRQ_TABLE=1
 default CONFIG_IRQ_SLOT_COUNT=11
 
 ##
 ## Build code to export an x86 MP table
 ## Useful for specifying IRQ routing values
 ##
-default CONFIG_HAVE_MP_TABLE=1
+default CONFIG_GENERATE_MP_TABLE=1
 
 ## ACPI tables will be included
-default CONFIG_HAVE_ACPI_TABLES=1
+default CONFIG_GENERATE_ACPI_TABLES=1
 ## extra SSDT num
 default CONFIG_ACPI_SSDTX_NUM=3
 
Index: cbv2/src/mainboard/iwill/dk8s2/Config.lb
===================================================================
--- cbv2.orig/src/mainboard/iwill/dk8s2/Config.lb
+++ cbv2/src/mainboard/iwill/dk8s2/Config.lb
@@ -13,8 +13,8 @@ arch i386 end
 ##
 
 driver mainboard.o
-if CONFIG_HAVE_MP_TABLE object mptable.o end
-if CONFIG_HAVE_PIRQ_TABLE object irq_tables.o end
+if CONFIG_GENERATE_MP_TABLE object mptable.o end
+if CONFIG_GENERATE_PIRQ_TABLE object irq_tables.o end
 #object reset.o
 
 ## ATI Rage XL framebuffering graphics driver
Index: cbv2/src/mainboard/iwill/dk8s2/Makefile.inc
===================================================================
--- cbv2.orig/src/mainboard/iwill/dk8s2/Makefile.inc
+++ cbv2/src/mainboard/iwill/dk8s2/Makefile.inc
@@ -22,8 +22,8 @@
 driver-y += mainboard.o
 
 # Needed by irq_tables and mptable and acpi_tables.
-obj-$(CONFIG_HAVE_MP_TABLE) += mptable.o
-obj-$(CONFIG_HAVE_PIRQ_TABLE) += irq_tables.o
+obj-$(CONFIG_GENERATE_MP_TABLE) += mptable.o
+obj-$(CONFIG_GENERATE_PIRQ_TABLE) += irq_tables.o
 
 # This is part of the conversion to init-obj and away from included code.
 
Index: cbv2/src/mainboard/iwill/dk8s2/Options.lb
===================================================================
--- cbv2.orig/src/mainboard/iwill/dk8s2/Options.lb
+++ cbv2/src/mainboard/iwill/dk8s2/Options.lb
@@ -1,5 +1,5 @@
-uses CONFIG_HAVE_MP_TABLE
-uses CONFIG_HAVE_PIRQ_TABLE
+uses CONFIG_GENERATE_MP_TABLE
+uses CONFIG_GENERATE_PIRQ_TABLE
 uses CONFIG_USE_FALLBACK_IMAGE
 uses CONFIG_HAVE_FALLBACK_BOOT
 uses CONFIG_HAVE_HARD_RESET
@@ -78,14 +78,14 @@ default CONFIG_HAVE_HARD_RESET=1
 ##
 ## Build code to export a programmable irq routing table
 ##
-default CONFIG_HAVE_PIRQ_TABLE=1
+default CONFIG_GENERATE_PIRQ_TABLE=1
 default CONFIG_IRQ_SLOT_COUNT=12
 
 ##
 ## Build code to export an x86 MP table
 ## Useful for specifying IRQ routing values
 ##
-default CONFIG_HAVE_MP_TABLE=1
+default CONFIG_GENERATE_MP_TABLE=1
 
 ##
 ## Build code to export a CMOS option table
Index: cbv2/src/mainboard/iwill/dk8x/Config.lb
===================================================================
--- cbv2.orig/src/mainboard/iwill/dk8x/Config.lb
+++ cbv2/src/mainboard/iwill/dk8x/Config.lb
@@ -13,8 +13,8 @@ arch i386 end
 ##
 
 driver mainboard.o
-if CONFIG_HAVE_MP_TABLE object mptable.o end
-if CONFIG_HAVE_PIRQ_TABLE object irq_tables.o end
+if CONFIG_GENERATE_MP_TABLE object mptable.o end
+if CONFIG_GENERATE_PIRQ_TABLE object irq_tables.o end
 #object reset.o
 
 if CONFIG_USE_INIT
Index: cbv2/src/mainboard/iwill/dk8x/Makefile.inc
===================================================================
--- cbv2.orig/src/mainboard/iwill/dk8x/Makefile.inc
+++ cbv2/src/mainboard/iwill/dk8x/Makefile.inc
@@ -21,8 +21,8 @@
 
 driver-y += mainboard.o
 
-obj-$(CONFIG_HAVE_MP_TABLE) += mptable.o
-obj-$(CONFIG_HAVE_PIRQ_TABLE) += irq_tables.o
+obj-$(CONFIG_GENERATE_MP_TABLE) += mptable.o
+obj-$(CONFIG_GENERATE_PIRQ_TABLE) += irq_tables.o
 
 # This is part of the conversion to init-obj and away from included code.
 
Index: cbv2/src/mainboard/iwill/dk8x/Options.lb
===================================================================
--- cbv2.orig/src/mainboard/iwill/dk8x/Options.lb
+++ cbv2/src/mainboard/iwill/dk8x/Options.lb
@@ -1,5 +1,5 @@
-uses CONFIG_HAVE_MP_TABLE
-uses CONFIG_HAVE_PIRQ_TABLE
+uses CONFIG_GENERATE_MP_TABLE
+uses CONFIG_GENERATE_PIRQ_TABLE
 uses CONFIG_USE_FALLBACK_IMAGE
 uses CONFIG_HAVE_FALLBACK_BOOT
 uses CONFIG_HAVE_HARD_RESET
@@ -78,14 +78,14 @@ default CONFIG_HAVE_HARD_RESET=1
 ##
 ## Build code to export a programmable irq routing table
 ##
-default CONFIG_HAVE_PIRQ_TABLE=1
+default CONFIG_GENERATE_PIRQ_TABLE=1
 default CONFIG_IRQ_SLOT_COUNT=9
 
 ##
 ## Build code to export an x86 MP table
 ## Useful for specifying IRQ routing values
 ##
-default CONFIG_HAVE_MP_TABLE=1
+default CONFIG_GENERATE_MP_TABLE=1
 
 ##
 ## Build code to export a CMOS option table
Index: cbv2/src/mainboard/jetway/j7f24/Config.lb
===================================================================
--- cbv2.orig/src/mainboard/jetway/j7f24/Config.lb
+++ cbv2/src/mainboard/jetway/j7f24/Config.lb
@@ -25,9 +25,9 @@ include /config/nofailovercalculation.lb
 
 arch i386 end
 driver mainboard.o
-if CONFIG_HAVE_PIRQ_TABLE object irq_tables.o end
-if CONFIG_HAVE_MP_TABLE object mptable.o end
-if CONFIG_HAVE_ACPI_TABLES
+if CONFIG_GENERATE_PIRQ_TABLE object irq_tables.o end
+if CONFIG_GENERATE_MP_TABLE object mptable.o end
+if CONFIG_GENERATE_ACPI_TABLES
 	object fadt.o
 	object dsdt.o
 	object acpi_tables.o
Index: cbv2/src/mainboard/jetway/j7f24/Makefile.inc
===================================================================
--- cbv2.orig/src/mainboard/jetway/j7f24/Makefile.inc
+++ cbv2/src/mainboard/jetway/j7f24/Makefile.inc
@@ -21,8 +21,8 @@
 
 initobj-y += crt0.o
 obj-y += mainboard.o
-obj-$(CONFIG_HAVE_PIRQ_TABLE) += irq_tables.o
-obj-$(CONFIG_HAVE_MP_TABLE) += mptable.o
+obj-$(CONFIG_GENERATE_PIRQ_TABLE) += irq_tables.o
+obj-$(CONFIG_GENERATE_MP_TABLE) += mptable.o
 
 ldscript-y += ../../../../src/arch/i386/init/ldscript_fallback_cbfs.lb
 ldscript-y += ../../../../src/cpu/x86/16bit/entry16.lds
Index: cbv2/src/mainboard/jetway/j7f24/Options.lb
===================================================================
--- cbv2.orig/src/mainboard/jetway/j7f24/Options.lb
+++ cbv2/src/mainboard/jetway/j7f24/Options.lb
@@ -19,8 +19,8 @@
 ## Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
 ##
 
-uses CONFIG_HAVE_MP_TABLE
-uses CONFIG_HAVE_PIRQ_TABLE
+uses CONFIG_GENERATE_MP_TABLE
+uses CONFIG_GENERATE_PIRQ_TABLE
 uses CONFIG_USE_FALLBACK_IMAGE
 uses CONFIG_HAVE_FALLBACK_BOOT
 uses CONFIG_HAVE_HARD_RESET
@@ -47,8 +47,8 @@ uses CONFIG_ROMBASE
 uses CONFIG_RAMBASE
 uses CONFIG_XIP_ROM_SIZE
 uses CONFIG_XIP_ROM_BASE
-uses CONFIG_HAVE_MP_TABLE
-uses CONFIG_HAVE_ACPI_TABLES
+uses CONFIG_GENERATE_MP_TABLE
+uses CONFIG_GENERATE_ACPI_TABLES
 uses CONFIG_HAVE_ACPI_RESUME
 uses CONFIG_CROSS_COMPILE
 uses CC
@@ -73,13 +73,13 @@ default CONFIG_CONSOLE_SERIAL8250 = 1
 default CONFIG_PCI_ROM_RUN = 0
 default CONFIG_CONSOLE_VGA = 0
 default CONFIG_HAVE_FALLBACK_BOOT = 1
-default CONFIG_HAVE_MP_TABLE = 0
+default CONFIG_GENERATE_MP_TABLE = 0
 default CONFIG_UDELAY_TSC = 1
 default CONFIG_TSC_X86RDTSC_CALIBRATE_WITH_TIMER2 = 1
 default CONFIG_HAVE_HARD_RESET = 0
-default CONFIG_HAVE_PIRQ_TABLE = 1
+default CONFIG_GENERATE_PIRQ_TABLE = 1
 default CONFIG_IRQ_SLOT_COUNT = 10
-default CONFIG_HAVE_ACPI_TABLES = 0
+default CONFIG_GENERATE_ACPI_TABLES = 0
 default CONFIG_HAVE_OPTION_TABLE = 0
 default CONFIG_ROM_IMAGE_SIZE = 64 * 1024
 default CONFIG_FALLBACK_SIZE = CONFIG_ROM_IMAGE_SIZE
Index: cbv2/src/mainboard/kontron/986lcd-m/Config.lb
===================================================================
--- cbv2.orig/src/mainboard/kontron/986lcd-m/Config.lb
+++ cbv2/src/mainboard/kontron/986lcd-m/Config.lb
@@ -46,11 +46,11 @@ arch i386 end
 
 driver mainboard.o
 driver rtl8168.o
-if CONFIG_HAVE_MP_TABLE object mptable.o end
-if CONFIG_HAVE_PIRQ_TABLE object irq_tables.o end
+if CONFIG_GENERATE_MP_TABLE object mptable.o end
+if CONFIG_GENERATE_PIRQ_TABLE object irq_tables.o end
 if CONFIG_HAVE_SMI_HANDLER smmobject mainboard_smi.o end
 
-if CONFIG_HAVE_ACPI_TABLES
+if CONFIG_GENERATE_ACPI_TABLES
 	object fadt.o
 	object acpi_tables.o
 	makerule dsdt.c
Index: cbv2/src/mainboard/kontron/986lcd-m/Makefile.inc
===================================================================
--- cbv2.orig/src/mainboard/kontron/986lcd-m/Makefile.inc
+++ cbv2/src/mainboard/kontron/986lcd-m/Makefile.inc
@@ -27,11 +27,11 @@ driver-y += mainboard.o
 driver-y += rtl8168.o
 
 #obj-y += ../../../southbridge/intel/i82801gx/i82801gx_reset.c
-obj-$(CONFIG_HAVE_MP_TABLE) += mptable.o
-obj-$(CONFIG_HAVE_PIRQ_TABLE) += irq_tables.o
-obj-$(CONFIG_HAVE_ACPI_TABLES) += dsdt.o
-obj-$(CONFIG_HAVE_ACPI_TABLES) += acpi_tables.o
-obj-$(CONFIG_HAVE_ACPI_TABLES) += fadt.o
+obj-$(CONFIG_GENERATE_MP_TABLE) += mptable.o
+obj-$(CONFIG_GENERATE_PIRQ_TABLE) += irq_tables.o
+obj-$(CONFIG_GENERATE_ACPI_TABLES) += dsdt.o
+obj-$(CONFIG_GENERATE_ACPI_TABLES) += acpi_tables.o
+obj-$(CONFIG_GENERATE_ACPI_TABLES) += fadt.o
 
 smmobj-$(CONFIG_HAVE_SMI_HANDLER) += mainboard_smi.o
 
Index: cbv2/src/mainboard/kontron/986lcd-m/Options.lb
===================================================================
--- cbv2.orig/src/mainboard/kontron/986lcd-m/Options.lb
+++ cbv2/src/mainboard/kontron/986lcd-m/Options.lb
@@ -20,15 +20,15 @@
 ##
 
 # Tables
-uses CONFIG_HAVE_MP_TABLE
-uses CONFIG_HAVE_PIRQ_TABLE
+uses CONFIG_GENERATE_MP_TABLE
+uses CONFIG_GENERATE_PIRQ_TABLE
 uses CONFIG_IRQ_SLOT_COUNT
 uses CONFIG_HAVE_OPTION_TABLE
 uses CONFIG_USE_OPTION_TABLE
 uses CONFIG_LB_CKS_RANGE_START
 uses CONFIG_LB_CKS_RANGE_END
 uses CONFIG_LB_CKS_LOC
-uses CONFIG_HAVE_ACPI_TABLES
+uses CONFIG_GENERATE_ACPI_TABLES
 uses CONFIG_HAVE_ACPI_RESUME
 uses CONFIG_HAVE_MAINBOARD_RESOURCES
 # SMP
@@ -156,19 +156,19 @@ default CONFIG_GFXUMA=1
 ##
 ## Build code to export a programmable irq routing table
 ##
-default CONFIG_HAVE_PIRQ_TABLE=1
+default CONFIG_GENERATE_PIRQ_TABLE=1
 default CONFIG_IRQ_SLOT_COUNT=18
 
 ##
 ## Build code to export an x86 MP table
 ## Useful for specifying IRQ routing values
 ##
-default CONFIG_HAVE_MP_TABLE=1
+default CONFIG_GENERATE_MP_TABLE=1
 
 ##
 ## Build code to provide ACPI support
 ##
-default CONFIG_HAVE_ACPI_TABLES=1
+default CONFIG_GENERATE_ACPI_TABLES=1
 default CONFIG_HAVE_MAINBOARD_RESOURCES=1
 default CONFIG_HAVE_ACPI_RESUME=1
 
Index: cbv2/src/mainboard/kontron/kt690/Config.lb
===================================================================
--- cbv2.orig/src/mainboard/kontron/kt690/Config.lb
+++ cbv2/src/mainboard/kontron/kt690/Config.lb
@@ -33,13 +33,13 @@ driver mainboard.o
 
 #dir /drivers/si/3114
 
-if CONFIG_HAVE_MP_TABLE object mptable.o end
-if CONFIG_HAVE_PIRQ_TABLE
+if CONFIG_GENERATE_MP_TABLE object mptable.o end
+if CONFIG_GENERATE_PIRQ_TABLE
 	object get_bus_conf.o
 	object irq_tables.o
 end
 
-if CONFIG_HAVE_ACPI_TABLES
+if CONFIG_GENERATE_ACPI_TABLES
 	object acpi_tables.o
 	object fadt.o
 	makerule dsdt.c
